Name:          logback-contrib
Version:       0.1.2
Release:       1%{?dist}
Summary:       Extensions to the Logback logging framework
License:       LGPLv2 or EPL
URL:           https://github.com/qos-ch/logback-contrib/wiki
Source0:       https://github.com/qos-ch/logback-contrib/archive/v_%{version}.tar.gz
# license file/s should be available in the next release
Source1:       http://www.apache.org/licenses/LICENSE-2.0.txt
Source2:       eclipse-1.0.txt

BuildRequires: maven-local
BuildRequires: mvn(ch.qos.logback:logback-access)
BuildRequires: mvn(ch.qos.logback:logback-classic)
BuildRequires: mvn(ch.qos.logback:logback-core)
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(javax.servlet:servlet-api)
BuildRequires: mvn(org.mongodb:mongo-java-driver)

BuildArch:     noarch

%description
The logback-contrib project provides community
supported extensions to the Logback logging
framework. This differs from logback-extensions
mostly in licensing.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-v_%{version}

# No availables
%pom_remove_plugin org.codehaus.gmaven:gmaven-plugin
# org.eclipse.equinox:org.eclipse.equinox.common:3.6.0.v20100503
# org.jibx.config.3rdparty.org.eclipse:org.eclipse.core.runtime:3.7.0.v20110110
%pom_disable_module eclipse

chmod 644 README.md

cp -p %{SOURCE1} %{SOURCE2} .
sed -i 's/\r//' *.txt

%build
# Test disable for not available dep com.googlecode.jmockit:jmockit:jar:0.999.15
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%doc README.md
%license eclipse-1.0.txt LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license eclipse-1.0.txt LICENSE-2.0.txt

%changelog
* Thu Feb 19 2015 gil cattaneo <puntogil@libero.it> 0.1.2-1
- initial rpm
